# Regenerate Prompt Suggestions POST /api/v1/qllm/regenerate-prompts/ Enqueue a background task to regenerate (replace) all cached prompt suggestions for a given domain. Requires domain write permissions (same as updating the domain). Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/qllm/regenerate-prompts-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/qllm/regenerate-prompts/: post: operationId: regenerate-prompts-create summary: Regenerate Prompt Suggestions description: >- Enqueue a background task to regenerate (replace) all cached prompt suggestions for a given domain. Requires domain write permissions (same as updating the domain). tags: - subpackage_qllm parameters: - name: domain_id in: query description: UID of the domain to regenerate prompts for required: true schema: type: string format: uuid responses: '202': description: Prompt regeneration task accepted content: application/json: schema: $ref: '#/components/schemas/qllm_regeneratePromptsCreate_Response_202' '400': description: Missing domain_id content: application/json: schema: description: Any type '404': description: Domain not found content: application/json: schema: description: Any type components: schemas: qllm_regeneratePromptsCreate_Response_202: type: object properties: {} description: Empty response body title: qllm_regeneratePromptsCreate_Response_202 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/qllm/regenerate-prompts/" querystring = {"domain_id":"3fa85f64-5717-4562-b3fc-2c963f66afa6"} payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/qllm/regenerate-prompts/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/qllm/regenerate-prompts/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/qllm/regenerate-prompts/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/qllm/regenerate-prompts/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/qllm/regenerate-prompts/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/qllm/regenerate-prompts/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/qllm/regenerate-prompts/?domain_id=3fa85f64-5717-4562-b3fc-2c963f66afa6")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```